Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.gnet
Class GTransportChannel

    java.lang.Object
      org.codehaus.activemq.transport.AbstractTransportChannel
          org.codehaus.activemq.transport.gnet.GTransportChannel

All Implemented Interfaces:
  Service, TransportChannel

public class GTransportChannel
extends AbstractTransportChannel

An implementation of a TransportChannel which uses the Geronimo network layer for connectivity.

Version:
  $Revision: 1.14 $

Constructor Summary
`` | `GTransportChannel(WireFormat wireFormat, org.apache.geronimo.network.protocol.Protocol protocol, org.apache.geronimo.pool.ThreadPool tp)`
`protected` | `GTransportChannel(WireFormat wireFormat, org.apache.geronimo.pool.ThreadPool tp)` Construct basic helpers
`` | `GTransportChannel(WireFormat wireFormat, java.net.URI remoteLocation, java.net.URI localLocation, org.apache.geronimo.network.SelectorManager sm, org.apache.geronimo.pool.ThreadPool tp, org.apache.geronimo.pool.ClockPool cp)`

Method Summary
`void` | `asyncSend(Packet packet)` Asynchronously send a Packet
`boolean` | `isMulticast()`
`void` | `start()` start listeneing for events
`void` | `stop()` close the channel
`protected Packet` | `toPacket(org.apache.geronimo.network.protocol.UpPacket packet)`
`protected org.apache.geronimo.network.protocol.PlainDownPacket` | `toPlainDownPacket(Packet mqpacket)`
`java.lang.String` | `toString()` pretty print for object

Methods inherited from class org.codehaus.activemq.transport.AbstractTransportChannel
`addTransportStatusEventListener, doAsyncSend, doConsumePacket, doHandleReceipt, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, onAsyncException, removeTransportStatusEventListener, send, send, setClientID, setExceptionListener, setPacketListener, setTransportChannelListener, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GTransportChannel

    protected GTransportChannel(WireFormat wireFormat,
                                org.apache.geronimo.pool.ThreadPool tp)

  Construct basic helpers

### GTransportChannel

    public GTransportChannel(WireFormat wireFormat,
                             org.apache.geronimo.network.protocol.Protocol protocol,
                             org.apache.geronimo.pool.ThreadPool tp)

Parameters:
  `protocol` -

### GTransportChannel

    public GTransportChannel(WireFormat wireFormat,
                             java.net.URI remoteLocation,
                             java.net.URI localLocation,
                             org.apache.geronimo.network.SelectorManager sm,
                             org.apache.geronimo.pool.ThreadPool tp,
                             org.apache.geronimo.pool.ClockPool cp)
                      throws java.net.UnknownHostException,
                             org.apache.geronimo.network.protocol.ProtocolException

Parameters:
  `remoteLocation` -
  `localLocation` -

Method Detail

### stop

    public void stop()

  close the channel

  Specified by:
    `stop` in interface `TransportChannel`
  Overrides:
    `stop` in class `AbstractTransportChannel`

### start

    public void start()
               throws JMSException

  start listeneing for events

  Throws:
    `JMSException` - if an error occurs

### asyncSend

    public void asyncSend(Packet packet)
                   throws JMSException

  Asynchronously send a Packet

  Parameters:
    `packet` -
  Throws:
    `JMSException`

### isMulticast

    public boolean isMulticast()

  Returns:
    true if this transport is multicast based (i.e. broadcasts to multiple nodes)

### toPlainDownPacket

    protected org.apache.geronimo.network.protocol.PlainDownPacket toPlainDownPacket(Packet mqpacket)
                                                                              throws java.io.IOException,
                                                                                     JMSException

  Throws:
    `java.io.IOException`
    `JMSException`

### toPacket

    protected Packet toPacket(org.apache.geronimo.network.protocol.UpPacket packet)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  pretty print for object

  Returns:
    String representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.